declare const _default: {
    name: string;
    props: {
        _constants: {
            type: ObjectConstructor;
            default: () => {};
        };
        modelValue: ArrayConstructor;
        options: ArrayConstructor;
        visible: BooleanConstructor;
        cycleRoll: BooleanConstructor;
        valueType: {
            type: StringConstructor;
            default: string;
        };
        valueField: {
            type: StringConstructor;
            default: string;
        };
        textField: {
            type: StringConstructor;
            default: string;
        };
        disabled: FunctionConstructor;
        textColor: {
            type: ObjectConstructor;
            default: () => {};
        };
        tiny_mode: StringConstructor;
        tiny_mode_root: BooleanConstructor;
        tiny_template: (ObjectConstructor | FunctionConstructor)[];
        tiny_renderless: FunctionConstructor;
        tiny_theme: StringConstructor;
        tiny_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => any;
};
export default _default;
